%define realname	SVK

Name:		svk
Version:	1.04
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Decentralized version control system based on Subversion
Source0:        http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{realname}-%{version}.tar.bz2
Url:		http://svk.elixus.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-Algorithm-Annotate
BuildRequires:	perl-Algorithm-Diff
BuildRequires:	perl-Class-Autouse
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-File-BaseDir
BuildRequires:	perl-Data-Hierarchy
BuildRequires:	perl-File-MimeInfo
BuildRequires:	perl-File-Type
BuildRequires:	perl-FreezeThaw
BuildRequires:	perl-IO-Digest
BuildRequires:	perl-Locale-Maketext-Lexicon
BuildRequires:	perl-Locale-Maketext-Simple
BuildRequires:	perl-PerlIO-eol
BuildRequires:	perl-PerlIO-via-symlink
BuildRequires:	perl-Pod-Simple
BuildRequires:	perl-Regexp-Shellish
BuildRequires:	perl-Sort-Versions
BuildRequires:	perl-SVN-Mirror >= 0.66
BuildRequires:	perl-Text-Diff
BuildRequires:	perl-TimeDate
BuildRequires:	perl-YAML
BuildRequires:	shared-mime-info
# for test 
BuildRequires: libsvn_fs_fs1_0
# For apxs2
BuildRequires:	apache2-devel
BuildArch:	noarch
Requires:	perl-SVK = %{version}

%description
svk is a decentralized version control system written in Perl.
It uses the subversion filesystem but provides some other powerful features.

It allows you to work in a disconnected fashion with the possibility to merge
back your changes to the main repository.

%package -n perl-SVK
Summary:	Perl modules used by SVK
Group:		Development/Perl
# for some strange reason, not detected by our scripts
Requires:	perl-SVN-Mirror >= 0.66
Requires:	perl-File-Type
Requires:	perl-Class-Autouse
Requires:	perl-Term-ReadKey
Requires:	perl-Data-Hierarchy
Requires:	perl-Regexp-Shellish
Requires:	perl-Pod-Simple
# not really needed, but I prefer to have more features enabled by defaut
Requires:	perl-File-MimeInfo
Requires:	perl-Locale-Maketext-Simple
# rpm doesn't find and generate this.
Provides:	perl(SVK::Version)

%description -n perl-SVK
This package provides the base modules needed by svk.

%prep
%setup -q -n %{realname}-%{version}

%build

%{__perl} Makefile.PL --skip INSTALLDIRS=vendor
%make

%check
APXS=/usr/sbin/apxs prove -b t/*.t

# don't leave non-writable directories
chmod -R +w t

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files -n perl-SVK
%defattr(-,root,root)
%doc README CHANGES
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Aug 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.04-1mdk
- 1.04

* Fri Aug 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-1mdk
- 1.03

* Tue Aug 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.02-1mdk
- 1.02
- Fix requires (thanks to David Faure)
- Use prove instead of "make test", because tests are ok but not exit values,
  and "make test" isn't happy with that.

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01
- Fix apxs location

* Tue May 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-1mdk
- 1.00

* Sun May 01 2005 Michael Scherer <misc@mandriva.org> 0.994-1mdk
- New release 0.994

* Tue Apr 26 2005 Michael Scherer <misc@mandriva.org> 0.993-1mdk
- New release 0.993

* Fri Apr 22 2005 Michael Scherer <misc@mandriva.org> 0.992-2mdk
- fix my own bugreport #15295

* Tue Apr 19 2005 Michael Scherer <misc@mandrake.org> 0.992-1mdk
- New release 0.992
- use %%check

* Thu Mar 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.991-1mdk
- 0.991

* Tue Mar 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.30-2mdk
- Fix automatic dependencies of perl-SVK
- svk now requires perl-SVK of the same version

* Tue Mar 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.30-1mdk
- 0.30
- Requires File::Type manually

* Wed Feb 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-1mdk
- 0.29

* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.27-1mdk
- New release
- Update descriptions
- Turn off the CPAN autoinstaller

* Fri Nov 12 2004 Stefan van der Eijk <stefan@mandrake.org> 0.26-2mdk
- BuildRequires
- Todo: somehow turn off the cpan autoinstaller for missing perl modules

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.26-1mdk
- New release 0.26

* Mon Oct 25 2004 Michael Scherer <misc@mandrake.org> 0.25-1mdk
- New release 0.25

* Sun Oct 24 2004 Michael Scherer <misc@mandrake.org> 0.23-1mdk
- New release 0.23

* Tue Oct  5 2004 Michael Scherer <misc@mandrake.org> 0.22-1mdk
- New release 0.22

* Fri Sep 24 2004 Michael Scherer <misc@mandrake.org> 0.21-1mdk
- New release 0.21

* Sat Sep  4 2004 Michael Scherer <misc@mandrake.org> 0.20-1mdk
- New release 0.20

* Tue Aug 31 2004 Michael Scherer <misc@mandrake.org> 0.19-2mdk 
- BuildRequires 

* Mon Aug 23 2004 Michael Scherer <misc@mandrake.org> 0.19-1mdk
- New release 0.19

* Sun Aug  8 2004 Stefan van der Eijk <stefan@eijk.nu> 0.18-3mdk
- still some more BuildRequires

* Sat Aug  7 2004 Stefan van der Eijk <stefan@eijk.nu> 0.18-2mdk
- BuildRequires to avoid endless looping

* Thu Aug  5 2004 Michael Scherer <misc@mandrake.org> 0.18-1mdk
- New release 0.18
- add missing BuildRequires

* Sun Jul 25 2004 Michael Scherer <misc@mandrake.org> 0.17-2mdk 
- add a missing Requires

* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 0.17-1mdk
- New release 0.17

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.16-1mdk
- New release 0.16
- reenable rpmbuildupdate

* Fri Jun 18 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk
- New release 0.15

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.14-1mdk 
- 0.14

* Sun Apr 11 2004 Michael Scherer <misc@mandrake.org> 0.13-1mdk
- New release 0.13
- enable test

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.12-1mdk 
- first Mandrakelinux package
